Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80261 - gdk-pixbuf.loaders not present; gnome programs won't start
Summary: gdk-pixbuf.loaders not present; gnome programs won't start
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gdk-pixbuf
Version: 1.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-23 15:53 UTC by sean
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-24 03:32:18 UTC


Attachments (Terms of Use)

Description sean 2002-12-23 15:53:02 UTC
Description of problem:
For instance:

gftp

(gftp-gtk:15893): GdkPixbuf-WARNING **: Can not open pixbuf loader module file
'/etc/gtk-2.0/gdk-pixbuf.loaders': No such file or directory
Segmentation fault

Same with most  (all?) gnome programs. Some - gnome-terminal - complain but
still start.

Version-Release number of selected component (if applicable):

gdk-pixbuf-devel-0.18.0-5
gdk-pixbuf-0.18.0-5
gdk-pixbuf-gnome-0.18.0-5


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Havoc Pennington 2002-12-23 16:12:55 UTC
(The new gdk-pixbuf is part of gtk2 package)

I believe this was librsvg2 overwriting the loaders file, and it should be 
fixed in our latest packages, not sure if they're on rawhide yet.

Comment 2 sean 2002-12-23 17:08:16 UTC
Yep. Just reinstalled gdk-pixbuf. Everything works again.

Thanks for the quick response.



Comment 3 sean 2002-12-23 17:11:35 UTC
Spoke too quickly.  Reinstalling did *NOT* write gdk-pixbuf.loaders. Both gedit
and gftp fail.

Where does it come from? 

Comment 4 Owen Taylor 2002-12-23 21:26:25 UTC
gdk-pixbuf is the gnome-1.4 package, not involved here.

Reinstall the gtk2 package, or better, install the current
librsvg2 package, which is the source of the problem.
(It incorrectly packaged the loaders file which is meant
to be generated.)


Comment 5 Bill Nottingham 2002-12-23 21:27:19 UTC
A post script.
/usr/bin/gdk-pixbuf-query-loaders > /etc/gtk-2.0/gdk-pixbuf.loaders
should do it for you.

Comment 6 sean 2002-12-24 03:32:18 UTC
OK. reinstalled librsvg2. Both gedit and gftp work.

FWIW:

 rpm -qif /etc/gtk-2.0/gdk*
file /etc/gtk-2.0/gdk-pixbuf.loaders is not owned by any package

I still don't understand how it failed to begin with.



Note You need to log in before you can comment on or make changes to this bug.